---
schema_version: "1"
id: 7a906538f50a4d71636d20e418302c54cd961ab9e082cc9e26dc52be035eface
title: Products
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/marketplace/references/generated-api-specs/marketplace-seller-products.md
canonical_url: https://developer.salesforce.com/docs/commerce/marketplace/references/marketplace-seller-products
source_site: developer.salesforce.com
content_type: documentation
content_hash: 75d3428b9b95031eaca2e9f8fc6771cae5a1bafce01aa9dee11aea00919ece01
products:
  - Commerce Marketplace
  - Salesforce APIs
---
Products

# Products

Products are the information necessary to enable the listing of your products in the e-commerce environment. Each product must have at least one associated variant/SKU, which will be the item that will actually be added to the cart in the e-commerce environment.

**Version:** 1.0.0

## Servers

*   `https://login.salesforce.com`
*   `http://mydomainname.my.site.com`
*   `http://{{community-url}}`
*   `http://{{base-url}}`

## Security

*   `oauth2Auth` (http)
    *   HTTP scheme: oauth2
*   `bearerAuth` (http)
    *   HTTP scheme: bearer

## Operations

### GET Query

`GET /services/data/v51.0/query`

Operation ID: `Query`. Tags: Product. Security: bearerAuth.

To look up information about products, use the [Query](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/resources_query.htm) resource of the main REST API from Salesforce and set the value of the `q` parameter to an SOQL query. The following examples are included in the query parameters section of this page, with corresponding examples in the responses section:

**Example 1 of 3**: `getAllManufacturers`

One piece of information that can be completed on a product is its make/manufacturer. This value must be one of the values from the marketplace (if none of them apply, contact the marketplace to check whether a new one can be inserted). In order to insert this relationship, you must first request an export of the data to the marketplace or access the API directly and save the list. If the item limit is exceeded, pagination may be necessary, in which case please refer to the [following documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

**Example 2 of 3**: `getAllSpecs`

Specs consist of all the extra information that can be associated with the products and SKUs. This includes both merely descriptive information, such as "book author", "musical genre",... and also information on variations of SKUs, such as "color" and "size", which define an SKU and need to be chosen in order to complete the purchase. Sellers may fill in the specs within the products with any value (red, blue,...), but the specs themselves (color) must be one of the specs configured by the marketplace. A request for this export may be submitted to the marketplace or this API may be used to create a full list. Some specs may be subject to restrictions during completion (boolean, specific values, only numbers). Please confirm any queries with the marketplace as you fill in each type. If you have more than the permissible number of items, you may need pagination, in which case please refer to the following [documentation](https://developer.salesforce.com/docs/atlas.en-us.api_rest.meta/api_rest/dome_query.htm#retrieve_remaining_results_title).

**Example 3 of 3**: `getAllProductImagesByProductId`

This call uses the External Product ID to list all its images

#### Parameters

*   `q` (query, string)
    
    _Example: getAllManufacturers_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__Manufacturer__c  LIMIT 200
    ```
    
    _Example: getAllSpecs_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__Specs__c WHERE Atonit_Mktplace__Is_Deleted__c = false LIMIT 200
    ```
    
    _Example: getAllProductImagesByProductId_
    
    ```
    SELECT FIELDS(ALL) FROM Atonit_Mktplace__Image__c WHERE Atonit_Mktplace__Product__r.Atonit_Mktplace__External_Id__c= '{{seller-api-prefix}}-product-1' LIMIT 200
    ```
    

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 17:37:15 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1688/101002`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example: getAllManufacturers_
    
    ```
    {
      "totalSize": 31,
      "done": true,
      "records": [
        {
          "Id": "a0C5Y00001sGTZlUAO",
          "Name": "Samsung",
          "CreatedDate": "2021-03-22T19:24:42.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:42.000+0000",
          "Atonit_Mktplace__Description__c": null,
          "Atonit_Mktplace__Marketplace_Id__c": "Samsung"
        },
        {
          "Id": "a0C5Y00001sGTZmUAO",
          "Name": "Apple",
          "CreatedDate": "2021-03-22T19:24:42.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:42.000+0000",
          "Atonit_Mktplace__Description__c": null,
          "Atonit_Mktplace__Marketplace_Id__c": "Apple"
        },
        {
          "Id": "a0C5Y00001sGTZnUAO",
          "Name": "Atari",
          "CreatedDate": "2021-03-22T19:24:42.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:42.000+0000",
          "Atonit_Mktplace__Description__c": null,
          "Atonit_Mktplace__Marketplace_Id__c": "Atari"
        }
      ]
    }
    ```
    
    _Example: getAllSpecs_
    
    ```
    {
      "totalSize": 59,
      "done": true,
      "records": [
        {
          "Id": "a0Y5Y00000nTXSSUA4",
          "Name": "Available for In Store Pickup",
          "CreatedDate": "2021-03-22T21:13:23.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:11.000+0000",
          "Atonit_Mktplace__Is_Deleted__c": false,
          "Atonit_Mktplace__Marketplace_Id__c": "availableForInStorePickup",
          "Atonit_Mktplace__Set_of_Text__c": false,
          "Atonit_Mktplace__Update_Timestamp__c": "2021-04-12T18:04:57.000+0000"
        },
        {
          "Id": "a0Y5Y00000nTXSTUA4",
          "Name": "Battery Life",
          "CreatedDate": "2021-03-22T21:13:23.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:11.000+0000",
          "Atonit_Mktplace__Is_Deleted__c": false,
          "Atonit_Mktplace__Marketplace_Id__c": "batteryLife",
          "Atonit_Mktplace__Set_of_Text__c": false,
          "Atonit_Mktplace__Update_Timestamp__c": "2021-04-12T18:04:57.000+0000"
        },
        {
          "Id": "a0Y5Y00000nTXSUUA4",
          "Name": "Battery Type",
          "CreatedDate": "2021-03-22T21:13:23.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:11.000+0000",
          "Atonit_Mktplace__Is_Deleted__c": false,
          "Atonit_Mktplace__Marketplace_Id__c": "batteryType",
          "Atonit_Mktplace__Set_of_Text__c": false,
          "Atonit_Mktplace__Update_Timestamp__c": "2021-04-12T18:04:57.000+0000"
        },
        {
          "Id": "a0Y5Y00000nTXSXUA4",
          "Name": "Color",
          "CreatedDate": "2021-03-22T21:13:23.000+0000",
          "LastModifiedDate": "2021-04-12T18:05:11.000+0000",
          "Atonit_Mktplace__Is_Deleted__c": false,
          "Atonit_Mktplace__Marketplace_Id__c": "color",
          "Atonit_Mktplace__Set_of_Text__c": false,
          "Atonit_Mktplace__Update_Timestamp__c": "2021-04-12T18:04:57.000+0000"
        }
      ]
    }
    ```
    
    _Example: getAllProductImagesByProductId_
    
    ```
    {
      "totalSize": 2,
      "done": true,
      "records": [
        {
          "Id": "a085Y00001AhajFQAR",
          "Name": "I-9353",
          "CreatedDate": "2021-04-22T18:39:01.000+0000",
          "LastModifiedDate": "2021-04-23T18:35:05.000+0000",
          "Atonit_Mktplace__Product__c": "a0M5Y00000csztLUAQ",
          "Atonit_Mktplace__Order__c": 1,
          "Atonit_Mktplace__Spec_Value__c": "Vermelho",
          "Atonit_Mktplace__Spec__c": "a0Y5Y00000nTXSXUA4",
          "Atonit_Mktplace__URL__c": "https://via.placeholder.com/150.png",
          "Atonit_Mktplace__View_Type__c": "swatch-small-medium-large",
          "Atonit_Mktplace__External_Id__c": "atonit-vitta-product-1-sku-image-1"
        },
        {
          "Id": "a085Y00001AhajPQAR",
          "Name": "I-9354",
          "CreatedDate": "2021-04-22T18:59:02.000+0000",
          "LastModifiedDate": "2021-04-23T18:31:40.000+0000",
          "Atonit_Mktplace__Product__c": "a0M5Y00000csztLUAQ",
          "Atonit_Mktplace__Order__c": 1,
          "Atonit_Mktplace__Spec_Value__c": null,
          "Atonit_Mktplace__Spec__c": null,
          "Atonit_Mktplace__URL__c": "https://via.placeholder.com/150.png",
          "Atonit_Mktplace__View_Type__c": "swatch-small-medium-large",
          "Atonit_Mktplace__External_Id__c": "atonit-vitta-product-1-image-1"
        }
      ]
    }
    ```
    

### GET Get Product by ID

`GET /services/data/v51.0/sobjects/Atonit_Mktplace__Product__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1`

Operation ID: `Get Product by ID`. Tags: Product. Security: bearerAuth.

This call will load all the available product information using the external ID as the key.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:15:16 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1577/101002`.
    *   `Last-Modified` (string)  
        Example: `Fri, 23 Apr 2021 18:14:13 GMT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "Id": "a0M5Y00000csztLUAQ",
      "Name": "P-1512",
      "CreatedDate": "2021-04-22T17:29:01.000+0000",
      "LastModifiedDate": "2021-04-23T18:14:13.000+0000",
      "Atonit_Mktplace__Category_Name__c": "a005Y00002HSIoMQAX",
      "Atonit_Mktplace__Full_description__c": "Chave de Fenda para ser usada em diversos projetos pessoais",
      "Atonit_Mktplace__Image_URL__c": null,
      "Atonit_Mktplace__Is_Deleted__c": false,
      "Atonit_Mktplace__Manufacturer__c": "a0C5Y00001sGTa9UAG",
      "Atonit_Mktplace__Matched_Product__c": null,
      "Atonit_Mktplace__Name__c": "Chave de Fenda",
      "Atonit_Mktplace__Product_type__c": "Simple",
      "Atonit_Mktplace__Short_description__c": "Chave de Fenda Marca própria",
      "Atonit_Mktplace__Status__c": null,
      "Atonit_Mktplace__External_Id__c": "atonit-vitta-product-1"
    }
    ```
    

### PATCH Create or Update Product

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Product__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1`

Operation ID: `Create or Update Product`. Tags: Product. Security: bearerAuth.

This call allows you both to create and update a seller’s product. If a product already exists with the ID provided in the URL, it will be updated, otherwise, it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

The value of `Atonit_Mktplace__Product_type__c` may be "Simple" (product has only 1 SKU, without variation) or "Grouped" (product has variations such as color and size). To configure the make/manufacturer of the product and its main category, the corresponding External ID must be used.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Name__c": "Chave de Fenda",
  "Atonit_Mktplace__Is_Deleted__c": false,
  "Atonit_Mktplace__Short_description__c": "Chave de Fenda Marca própria",
  "Atonit_Mktplace__Full_description__c": "Chave de Fenda para ser usada em diversos projetos pessoais",
  "Atonit_Mktplace__Product_type__c": "Simple",
  "Atonit_Mktplace__Category_Name__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-category-2"
  },
  "Atonit_Mktplace__Manufacturer__r": {
    "Atonit_Mktplace__Marketplace_Id__c": "Toshiba"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:14:13 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1571/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Product__c/a0M5Y00000csztLUAQ`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0M5Y00000csztLUAQ",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### GET Get Product Variant by ID

`GET /services/data/v51.0/sobjects/Atonit_Mktplace__Product_Variant__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-sku-1`

Operation ID: `Get Product Variant by ID`. Tags: Product. Security: bearerAuth.

This call will load all the available SKU information using the external ID as the key.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:18:56 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1587/101002`.
    *   `Last-Modified` (string)  
        Example: `Fri, 23 Apr 2021 18:18:23 GMT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "Id": "a0L5Y00000oAUQDUA4",
      "Name": "atonit-vitta-sku-1",
      "CreatedDate": "2021-04-22T18:23:59.000+0000",
      "LastModifiedDate": "2021-04-23T18:18:23.000+0000",
      "Atonit_Mktplace__Depth__c": 23.3,
      "Atonit_Mktplace__Display_Name__c": "Chave de Fenda",
      "Atonit_Mktplace__EAN__c": "3839590768017",
      "Atonit_Mktplace__Full_Description__c": "Chave de Fenda para ser usada em diversos projetos pessoais",
      "Atonit_Mktplace__Height__c": 23.3,
      "Atonit_Mktplace__Image_Link__c": null,
      "Atonit_Mktplace__Is_Deleted__c": false,
      "Atonit_Mktplace__Main_Product__c": "a0M5Y00000csztLUAQ",
      "Atonit_Mktplace__Matched_Variant__c": null,
      "Atonit_Mktplace__Short_Description__c": "Chave de Fenda Marca própria",
      "Atonit_Mktplace__Weight__c": 23.3,
      "Atonit_Mktplace__Width__c": 23.3,
      "Atonit_Mktplace__External_Id__c": "atonit-vitta-sku-1"
    }
    ```
    

### PATCH Create or Update Product Variant

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Product_Variant__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-sku-1`

Operation ID: `Create or Update Product Variant`. Tags: Product. Security: bearerAuth.

This call allows you to both create and update a seller’s product variant (SKU). If an SKU already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

The value of the `Main_Product` is required and must be an External ID of a product already registered.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Name": "{{seller-api-prefix}}-sku-1",
  "Atonit_Mktplace__Display_Name__c": "Chave de Fenda",
  "Atonit_Mktplace__Is_Deleted__c": false,
  "Atonit_Mktplace__Short_description__c": "Chave de Fenda Marca própria",
  "Atonit_Mktplace__Full_description__c": "Chave de Fenda para ser usada em diversos projetos pessoais",
  "Atonit_Mktplace__EAN__c": "3839590768017",
  "Atonit_Mktplace__Height__c": 23.3,
  "Atonit_Mktplace__Width__c": 23.3,
  "Atonit_Mktplace__Depth__c": 23.3,
  "Atonit_Mktplace__Weight__c": 23.3,
  "Atonit_Mktplace__Main_Product__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-product-1"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:18:23 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1587/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Product_Variant__c/a0L5Y00000oAUQDUA4`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0L5Y00000oAUQDUA4",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### GET Get Product Image by ID

`GET /services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-image-1`

Operation ID: `Get Product Image by ID`. Tags: Product. Security: bearerAuth.

This call will upload all the available image information using the external ID as the key.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:36:11 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1612/101002`.
    *   `Last-Modified` (string)  
        Example: `Fri, 23 Apr 2021 18:31:40 GMT`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Vary` (string)  
        Example: `Accept-Encoding`.
    *   `Content-Encoding` (string)  
        Example: `gzip`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "Id": "a085Y00001AhajPQAR",
      "Name": "I-9354",
      "CreatedDate": "2021-04-22T18:59:02.000+0000",
      "LastModifiedDate": "2021-04-23T18:31:40.000+0000",
      "Atonit_Mktplace__Product__c": "a0M5Y00000csztLUAQ",
      "Atonit_Mktplace__Order__c": 1,
      "Atonit_Mktplace__Spec_Value__c": null,
      "Atonit_Mktplace__Spec__c": null,
      "Atonit_Mktplace__URL__c": "https://via.placeholder.com/150.png",
      "Atonit_Mktplace__View_Type__c": "swatch-small-medium-large",
      "Atonit_Mktplace__External_Id__c": "atonit-vitta-product-1-image-1"
    }
    ```
    

### DELETE Delete Product Image by ID

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-image-1`

Operation ID: `Delete Product Image by ID`. Tags: Product. Security: bearerAuth.

This call allows the deletion of a product image. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **204** No Content
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:38:46 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `Content-Security-Policy` (string)  
        Example: `upgrade-insecure-requests` .
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1614/101002`.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    

### PATCH Create or Update Product Image

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-image-1`

Operation ID: `Create or Update Product Image`. Tags: Product. Security: bearerAuth.

This call allows you to both create and update a product image. If an image already exists with the ID provided in the URL, it will be updated, otherwise it will be created. The rule for the ID is that it must start with the seller-api-prefix and contain only letters, numbers and `-`.

To synchronize a product image, it must be available on a public URL. The Product is configured using its External ID, which must have been inserted previously. With the Order parameter, the order of various images can be controlled. The field `View_Type__c` must have the value: swatch, small, medium, large or swatch-small-medium-large. The latter option will upload all possible formats of the image.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__URL__c": "https://via.placeholder.com/150.png",
  "Atonit_Mktplace__Order__c": 1,
  "Atonit_Mktplace__View_Type__c": "swatch-small-medium-large",
  "Atonit_Mktplace__Product__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-product-1"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:31:39 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1608/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/a085Y00001AhajPQAR`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a085Y00001AhajPQAR",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### PATCH Create or Update Product Variant Image

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-sku-image-1`

Operation ID: `Create or Update Product Variant Image`. Tags: Product. Security: bearerAuth.

Images of variants (SKU) are also added directly to the product, but an optional Spec and Spec\_Value value is configured so that the image is associated with a specific variation.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__URL__c": "https://via.placeholder.com/150.png",
  "Atonit_Mktplace__Order__c": 1,
  "Atonit_Mktplace__View_Type__c": "swatch-small-medium-large",
  "Atonit_Mktplace__Product__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-product-1"
  },
  "Atonit_Mktplace__Spec__r": {
    "Atonit_Mktplace__Marketplace_Id__c": "color"
  },
  "Atonit_Mktplace__Spec_Value__c": "Vermelho"
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:35:05 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1611/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Image__c/a085Y00001AhajFQAR`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a085Y00001AhajFQAR",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### DELETE Remove Link from Product to Category

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__Product_to_Related_Category__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-{seller-api-prefix}-category-1`

Operation ID: `Remove Link from Product to Category`. Tags: Product. Security: bearerAuth.

This call allows the deletion of an association between product and category. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **200** Successful response
    
    Media type: `application/json`.
    

### PATCH Link Product to Category

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Product_to_Related_Category__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-{seller-api-prefix}-category-1`

Operation ID: `Link Product to Category`. Tags: Product. Security: bearerAuth.

For the product to appear in the e-commerce environment it must be associated with one or more categories. This call allows a product to be linked to a category that has already been registered. The external ID must be in the format `<id-product>-<id-category>`.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Product__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-product-1"
  },
  "Atonit_Mktplace__Category__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-category-1"
  }
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:43:21 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1617/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Product_to_Related_Category__c/a0N5Y00000ZsrClUAJ`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0N5Y00000ZsrClUAJ",
      "success": true,
      "errors": [],
      "created": false
    }
    ```
    

### DELETE Delete Product Spec

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-kidsAge`

Operation ID: `Delete Product Spec`. Tags: Product. Security: bearerAuth.

This call allows deletion of the value of a product spec. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **204** No Content
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:47:17 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `Content-Security-Policy` (string)  
        Example: `upgrade-insecure-requests` .
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1633/101002`.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    

### PATCH Create or Update Product Spec

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-product-1-kidsAge`

Operation ID: `Create or Update Product Spec`. Tags: Product. Security: bearerAuth.

This call allows configuration of the value of a product spec. The spec must be one of those listed by "Get All Specs". The external ID must be in the format `<id-product>-<id-spec>`.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Product__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-product-1"
  },
  "Atonit_Mktplace__Spec__r": {
    "Atonit_Mktplace__Marketplace_Id__c": "kidsAge"
  },
  "Atonit_Mktplace__Value__c": "10+"
}
```

#### Responses

*   **201** Created
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:46:45 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1633/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Association__c/a0W5Y00000V7BtYUAV`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0W5Y00000V7BtYUAV",
      "success": true,
      "errors": [],
      "created": true
    }
    ```
    

### DELETE Delete Product Variant Spec

`DELETE /services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Variant_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-sku-1-color`

Operation ID: `Delete Product Variant Spec`. Tags: Product. Security: bearerAuth.

This call allows deletion of the value of an SKU spec. If successful, 204 is returned. If the ID no longer exists, 404 will be returned.

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Responses

*   **204** No Content
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:50:07 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `Content-Security-Policy` (string)  
        Example: `upgrade-insecure-requests` .
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1637/101002`.
    
    Media type: `text/plain`. Schema: `string`.
    
    Type: `string`.
    

### PATCH Create or Update Product Variant Spec

`PATCH /services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Variant_Association__c/Atonit_Mktplace__External_Id__c/{seller-api-prefix}-sku-1-color`

Operation ID: `Create or Update Product Variant Spec`. Tags: Product. Security: bearerAuth.

This call allows configuration of the value of an SKU spec. The spec must be one of those listed by "Get All Specs". The external ID must be in the format `<id-sku>-<id-spec>`. The value of `Atonit_Mktplace__Variation_Attribute__c` is true if this spec is a variant of the SKU, which must be selected on the product page (color, size, etc.). So that the product is correctly registered, all its SKUs must be completed with the same specs with this value (it is incorrect to register one product SKY with color as a variant, and another without).

#### Parameters

*   `seller-api-prefix` (path, string, required)

#### Request body

Media type: `application/json`. Schema: `object`.

_Example_

```
{
  "Atonit_Mktplace__Product_Variant__r": {
    "Atonit_Mktplace__External_Id__c": "{{seller-api-prefix}}-sku-1"
  },
  "Atonit_Mktplace__Spec__r": {
    "Atonit_Mktplace__Marketplace_Id__c": "color"
  },
  "Atonit_Mktplace__Value__c": "Vermelho",
  "Atonit_Mktplace__Variation_Attribute__c": false
}
```

#### Responses

*   **200** OK
    
    Headers:
    
    *   `Date` (string)  
        Example: `Fri, 23 Apr 2021 18:49:57 GMT`.
    *   `Strict-Transport-Security` (string)  
        Example: `max-age=31536002; includeSubDomains`.
    *   `X-Content-Type-Options` (string)  
        Example: `nosniff`.
    *   `X-XSS-Protection` (string)  
        Example: `1; mode=block`.
    *   `X-Robots-Tag` (string)  
        Example: `none`.
    *   `Cache-Control` (string)  
        Example: `no-cache,must-revalidate,max-age=0,no-store,private`.
    *   `Sforce-Limit-Info` (string)  
        Example: `api-usage=1637/101002`.
    *   `Location` (number)  
        Example: `/services/data/v51.0/sobjects/Atonit_Mktplace__Spec_Product_Variant_Association__c/a0X5Y00001OKK54UAH`.
    *   `Content-Type` (string)  
        Example: `application/json;charset=UTF-8`.
    *   `Transfer-Encoding` (string)  
        Example: `chunked`.
    
    Media type: `application/json`. Schema: `object`.
    
    _Example_
    
    ```
    {
      "id": "a0X5Y00001OKK54UAH",
      "success": true,
      "errors": [],
      "created": false
    }
    ```